/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreUnit;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreUnitRecord extends UpdatableRecordImpl<TCoreUnitRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_unit.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_unit.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_unit.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_unit.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_unit.fk_trans_key</code>.
     */
    public void setFkTransKey(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_unit.fk_trans_key</code>.
     */
    public String getFkTransKey() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_unit.unit</code>.
     */
    public void setUnit(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_unit.unit</code>.
     */
    public String getUnit() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_unit.is_format</code>.
     */
    public void setIsFormat(Boolean value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_unit.is_format</code>.
     */
    public Boolean getIsFormat() {
        return (Boolean) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreUnitRecord
     */
    public TCoreUnitRecord() {
        super(TCoreUnit.T_CORE_UNIT);
    }

    /**
     * Create a detached, initialised TCoreUnitRecord
     */
    public TCoreUnitRecord(LocalDateTime lastchange, Integer pk, String fkTransKey, String unit, Boolean isFormat) {
        super(TCoreUnit.T_CORE_UNIT);

        setLastchange(lastchange);
        setPk(pk);
        setFkTransKey(fkTransKey);
        setUnit(unit);
        setIsFormat(isFormat);
        resetChangedOnNotNull();
    }
}
